# QualityUpClean
This modpack adds:
- A cleaner HUD
- VISUAL QoL changes
- A few optimization mods

This modpack was made as a recommended "essential" list of mods that don't change much vanilla mechanics, just so that I don't have to keep installing these mods one by one before I create another profile.
Though I feel like this helps a lot so I decided to share it! All credit goes to original mod authors.

## CONFIG CHANGES
- BetterUI's DPSMeter and StatsWindow are disabled by default. (I find it cluttery on my screen)
- ItemStats' Detailed Hover is disabled so that it works with BetterUI.

## MOD MENTIONS

#### CleanerHUD
- It's in here, but I don't think it has been tested in multiplayer yet.

#### StutterStunterFork
- An optimization mod I would have added, but since it shouldn't be used with under 6-8gb of ram, it might be unsafe for the unwary if I keep it in.

#### HolyDLL
- It still crashes me and I still haven't found what's causing it, so I didn't keep it in.

<details>
<summary>Mod Overview</summary>

- CleanerHUD: Makes the HUD neater
- BetterUI: Improves information and item sorting
- BetterUIButtonDeleter: hallelujah
- ItemStats: Added for the item descriptions on ping
- AudioOverlapFix: To save your ears from potential stacked noises
- BetterLoadingScreen & RiskOfWaiting: Reduces loadtime on startup screen
- BossKillTimer: Shows in chat the time you took to kill a boss
- ChatQuickView: Pressing tab shows chat
- FixGensisLoopConsoleSpam: Fixes console spam from Genesis Loop
- HealthbarImmune: Turns the HP bar to "IMMUNE" when invincible
- LobbySkinsFix: Fixes skins not reverting modded changes
- LobbyVotesSave: Saves chosen options in the survivor selection screen
- ModdedCharEclipseFix: Fixes Eclipse progress not registering for modded survivors
- NoMoreMath: Adds time needed to charge the teleporter, price of chest with the card equipment, etc.
- PizzaClientLagFix: Fixes multiplayer lag on Mithrix's big spinny attack
- ProperlyPersistentProfilesPathPlugin: Saves Eclipse levels, loadouts, and entries of mods just in case they get removed or something
- ProperSave: Saves your progress at the start of the stage so you can load later (A lifesaver with crashes)
- QuickRestart: Adds a quick restart and character select button on the pause menu
- RandomCharacterSelection: Adds a button to randomize your survivor and your loadout
- RealerCheatUnlocks: Right-click to unlock/lock unlockables in logbook
- RemoveScreenEffectsTintsAndDistortions: To save your eyes from Brainstalks and Tonic
- ScrollableLobbyUI: Adds scrolling to survivor selection screen
- ShowDeathCause: Shows in chat what killed you
- SkipIntro & AutoSkipCredits: Skips intro and credits
- StopStealingMyMouse: Stops ROR2 from locking your mouse on the center while loading
- SurvivorSortOrder: Sorts survivors to force modded ones to be listed AFTER vanilla
- TeleporterShowRedux: Pings teleporter after finding it
- WolfoQualityOfLife: Contains most of the visual changes, notably unique icons for interactables in the world

</details>

